c    @(#)trcrhs.f	1.2
      subroutine trcrhs(rkx,rky,rkdydx)

      include'mladv.inc'
      include'trc.inc'

      dimension rky(maxtrace+1),rkdydx(maxtrace+1)

      call trcflx(rky)

      rkdydx(1) = -no3upt

      rkdydx(2) =  phyupt - pdeath - graze

      rkdydx(3) =  ingest - hdeath - carniv

      rkdydx(4) = -nh4upt + pdeath + slopfd + regen1 + regen2

      rkdydx(5) =  exprt1 + exprt2
     
      return
      end
